unit Gaugetst;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, VBXCtrl, Gauge95, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    eMinVal: TEdit;
    eMaxVal: TEdit;
    eCurVal: TEdit;
    eSpots: TEdit;
    eSteps: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    eVSpace: TEdit;
    eHSpace: TEdit;
    Button2: TButton;
    Gauge951: TGauge95;
    Timer1: TTimer;
    Label8: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    oGauge: TGauge95;

    Procedure SetEditValues;
    Procedure SetGaugeValues;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  {Eine Gauge zur Laufzeit erzeugen!}
  oGauge            := TGauge95.Create(Form1);
  oGauge.Top        := 18;
  oGauge.Left       := Trunc((Width - oGauge.Width) / 2);
  oGauge.CurrValue  := 50;
  oGauge.Color      := clRed;
  oGauge.Parent     := Form1;   {Jetzt erst, weil sonst mehrmaliges}
                                {  Refresh beim ndern der Parameter}

  SetEditValues;                {Aktuelle Werte in Edit-Felder}
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  SetGaugeValues;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SetGaugeValues;
  oGauge.Increment;
  SetEditValues;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  if Gauge951.CurrValue = Gauge951.MaxValue then
    Gauge951.CurrValue := 0
  else
    Gauge951.Increment;
end;

{Aktuelle Werte in die Edit-Felder eintragen}
Procedure TForm1.SetEditValues;
begin
  eMinVal.Text := IntToStr(oGauge.MinValue);
  eMaxVal.Text := IntToStr(oGauge.MaxValue);
  eSpots.Text  := IntToStr(oGauge.Spots);
  eSteps.Text  := IntToStr(oGauge.Steps);
  eVSpace.Text := IntToStr(oGauge.VSpace);
  eHSpace.Text := IntToStr(oGauge.HSpace);
  eCurVal.Text := IntToStr(oGauge.CurrValue);
end;

Procedure TForm1.SetGaugeValues;
begin
  {EDIT-Werte in GAUGE bertragen}
  oGauge.MinValue  := StrToInt(eMinVal.Text);
  oGauge.MaxValue  := StrToInt(eMaxVal.Text);
  oGauge.CurrValue := StrToInt(eCurVal.Text);
  oGauge.Spots     := StrToInt(eSpots.Text);
  oGauge.Steps     := StrToInt(eSteps.Text);
  oGauge.VSpace    := StrToInt(eVSpace.Text);
  oGauge.HSpace    := StrToInt(eHSpace.Text);
end;

end.
